import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.sql.Types;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.QbChart;
import quadbase.util.SimpleQueryFileInfo;
import quadbase.util.SimpleQueryInParam;

public class ParameterizedChart extends Applet {

	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {
			ParameterizedChart doChart = new ParameterizedChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doChart.doParameterizedChart(null));
			frame.setSize(500, 500);
			frame.setVisible(true);
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doParameterizedChart(this));
	}

	Component doParameterizedChart(Applet applet) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Begin Code : Adding Parameter Info
		// SimpleQueryInParam(name of Parameter, String to be displayed, MapToColumn?, tableName, ColumnName, SQL Type, DefaultValue, value)

		SimpleQueryInParam inParam = new SimpleQueryInParam("param", "Please select", true,
				"Categories", "CategoryName", Types.VARCHAR, "Arm Chairs", null);
		SimpleQueryInParam[] paramSet = { inParam };
		SimpleQueryFileInfo chartInfo = new SimpleQueryFileInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa",
				"",
				"select Products.ProductName, Products.UnitsInStock from Categories, Products where Categories.CategoryID=Products.CategoryID and Categories.CategoryName=:param order by Categories.CategoryName, Products.ProductName;");

		chartInfo.setInParam(paramSet);

		// End Code : Adding Parameter Info // Begin Code : Setting up Column Mapping
		ColInfo colInfo = new ColInfo();
		colInfo.category = 0;
		colInfo.value = 1;
		// End Code : Setting up Column Mapping 

		QbChart chart = new QbChart(applet, QbChart.VIEW2D, QbChart.PIE, chartInfo, colInfo, null);

		return chart;
	}

}
